set linesize 32000
set pagesize 1000
set head on
set echo on
set termout on
set trimspool on

spool ansiexamples.log

-- example data from blog post:
-- https://www.bobbydurrettdba.com/2012/08/03/outer-join-where-do-i-put-the/

drop table a;
drop table b;

create table a (x number);
create table b (x number);

insert into a values (1);
insert into a values (2);

insert into b values (1);
insert into b values (3);

commit;

-- ANSI join versions from blog post about (+)

select a.x,b.x
from a
left join b 
on a.x=b.x;

select a.x,b.x
from a
right join b 
on a.x=b.x;

select a.x,b.x
from a
right join b
on a.x=b.x
where a.x=2;

select a.x,b.x
from a
right join b
on a.x=b.x
and a.x=2;

spool off

